<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<script src="lib/codemirror.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="style.css"  />
<link rel="stylesheet" type="text/css" href="lib/codemirror.css"  />
<script src="lib/jquery-3.3.1.min.js"></script>
<script src="lib/xml.js"></script>
<script = src="lib/jquery-ui-1.12.1.custom/jquery-ui.min.js"></script>
<script src="lib/stacktrace.min.js"></script>
<script src="js/svg.js"></script>
<script src="js/main.js"></script>
<script src="js/palette.js"></script>
<script src="js/animationcontrol.js"></script>
<script src="js/texteditor.js"></script>
<script src="js/positionalxmlparser.js"></script>
<script src="js/svgdomtocode.js"></script>
<script src="js/selection.js"></script>
<script src="js/timeline.js"></script>
<link rel="stylesheet" href="lib/show-hint.css">
<link rel="stylesheet" href="lib/lint.css">
<link rel="stylesheet" href="lib/jquery-ui-1.12.1.custom/jquery-ui.structure.min.css">
<link rel="stylesheet" href="lib/jquery-ui-1.12.1.custom/jquery-ui.theme.css">
</head>
<body>
  <div>
<div id="title">SVGAnimEditor</div><button onclick="editorClear()">clear</button> <div id="gitlab"><a href="https://gitlab.com/francois.schwarzentruber/svganimedit">source in gitlab!</a></div>
</div>
<div id=wrapper>
  <div id="palettePanel">
    <div id="palette"></div>
    <!--<input id="foregroundColor" type="color"></input>
    <input id="backgroundColor" type="color"></input>-->
</div>
  <div id="codePanel">
<textarea id="input" cols=1 rows=0>
<svg xmlns="http://www.w3.org/2000/svg" width="200" height="350" version="1.1">
    <line x1="100" y1="0" x2="100" y2="100"  style="stroke:black;stroke-width:2" />
    <line x1="50" y1="200" x2="100" y2="100"  style="stroke:black;stroke-width:2" />
    <line x1="150" y1="200" x2="100" y2="100"  style="stroke:black;stroke-width:2" />
   <line x1="50" y1="200" x2="50" y2="300"  style="stroke:black;stroke-width:2" />
   <line x1="50" y1="200" x2="150" y2="300"  style="stroke:black;stroke-width:2" />
   <line x1="150" y1="200" x2="150" y2="300"  style="stroke:black;stroke-width:2" />
   <text x="50" y="320" text-anchor="middle" fill="#008800" font-size="20px" font-family="Arial" dy=".3em">1</text>
   <text x="150" y="320" text-anchor="middle" fill="#888888" font-size="20px" font-family="Arial" dy=".3em">0</text>
    <circle cx="100" cy="100" r="20" fill="#aeaeae" />
    <text x="100" y="100" text-anchor="middle" fill="black" font-size="20px" font-family="Arial" dy=".3em">et</text>
    <circle cx="50" cy="200" r="20" fill="#aeaeae" />
    <text x="50" y="200" text-anchor="middle" fill="black" font-size="20px" font-family="Arial" dy=".3em">ou</text>
    <circle cx="150" cy="200" r="20" fill="#aeaeae" />
    <text x="150" y="200" text-anchor="middle" fill="black" font-size="20px" font-family="Arial" dy=".3em">non</text>

<circle cx="50" cy="300" r="5" style="stroke: none; fill: #008800;"/>
<circle cx="150" cy="300" r="5" style="stroke: none; fill: #888888;"/>

<circle cx="50" cy="300" r="5" style="stroke: none; fill: #008800;">
    <animate attributeName="cy" attributeType="XML"
             from="300"  to="220"
             begin="0s" dur="2s"
             fill="remove"/>
</circle>
<circle cx="150" cy="300" r="5" style="stroke: none; fill: #888888;">
    <animate attributeName="cy" attributeType="XML"
             from="300"  to="220"
             begin="0s" dur="2s"
             fill="remove"/>
</circle>
<circle cx="150" cy="300" r="5" style="stroke: none; fill: #888888;">
<animate attributeName="cx" attributeType="XML"
             from="150"  to="70"
             begin="0s" dur="2s"
             fill="remove"/>
    <animate attributeName="cy" attributeType="XML"
             from="300"  to="220"
             begin="0s" dur="2s"
             fill="remove"/>
</circle>

<circle cx="1500" cy="200" r="5" style="stroke: none; fill: #008800;">
<animate attributeName="cx" attributeType="XML"
             from="140"  to="110"
             begin="2s" dur="2s"
             fill="remove"/>
<animate attributeName="cy" attributeType="XML"
             from="180"  to="120"
             begin="2s" dur="2s"
             fill="remove"/>
</circle>
<circle cx="1500" cy="200" r="5" style="stroke: none; fill: #008800;">
<animate attributeName="cx" attributeType="XML"
             from="60"  to="90"
             begin="2s" dur="2s"
             fill="remove"/>
<animate attributeName="cy" attributeType="XML"
             from="180"  to="120"
             begin="2s" dur="2s"
             fill="remove"/>
</circle>

<circle cx="100" cy="1000" r="5" style="stroke: none; fill: #008800;">
<animate attributeName="cy" attributeType="XML"
             from="80"  to="10"
             begin="4s" dur="2s"/>
</circle>
</svg>



</textarea>
</div>
<div id="svgPanel">


  <div id="output"><svg></svg></div>

  <div id="animationControl">
    <button hidden id="buttonStart" onclick="start()"><img height=16px src="img/play.png"/></button>
    <button id="buttonPause" onclick="pause()"><img height=16px src="img/pause.svg"/></button>
    <div id="slidertimeline">
        <div id="slider"></div><div id="t"></div>
        <div id="timelineWrapper">
        <svg id="timeline" xmlns="http://www.w3.org/2000/svg" version="1.1"></svg>
    </div>
    </div>
  </div>
  


</div>
</body>
</html>
